Error installation prestashop 1.7

Hello there,

That’s not possible for me to install or to upgrade prestashop 1.6 to 1.7; did you have this problem yet ?
Thanks

Are you using the Auto Installer?

Yes with softacullous

Alright, what Error do you get?

The following errors were found :

  • Could not make the query numbered : 13
    MySQL Error No : 1071
    MySQL Error : Specified key was too long; max key length is 1000 bytes

And if i try to install 1.6 and then to upgrade, nothing happen…

That error means the software requires the InnoDB storage engine for MySQL, which is not available on free hosting (only premium hosting). So it looks like PrestaShop 1.7 cannot be used on free hosting.

2 Likes

ok thanks you